[Gpg4win-commits] [git] Gpg4win - branch, gpg4win-2, updated. gpg4win-2.3.3-3-g35cd7f2
by Jochen Saalfeld
cvs at cvs.gnupg.org
Tue Sep 20 14:01:03 CEST 2016
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".
The branch, gpg4win-2 has been updated
via 35cd7f2e17b7dae9760e353cf4278247cb5fb365 (commit)
from 140c45e243bda9b8d03e6e9738f03448d18464e0 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 35cd7f2e17b7dae9760e353cf4278247cb5fb365
Author: Jochen Saalfeld <privat at jochen-saalfeld.de>
Date: Tue Sep 20 12:17:45 2016 +0200
Adding Patch for loading crl from file
* Makefile.am - adding the patch to be executed while building
* dirmngr-load-crl-from-fs.patch - the patch itself
diff --git a/Makefile.am b/Makefile.am
index 266789a..e305b44 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -28,6 +28,7 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
doc/license-page doc/GPLv3 \
build-aux/git-log-footer build-aux/git-log-fix \
patches/dirmngr-1.1.1/dirmngr-pth.patch \
+ patches/dirmngr-1.1.1/dirmngr-load-crl-from-fs.patch \
patches/glib-2.41.5/01-socket.patch \
patches/gnupg2/0001-Enable-wildcard-expansion-with-mingw-w64.patch \
patches/gnupg2/0002-Let-wchar_to_native-convert-to-console-codepage.patch \
@@ -44,11 +45,11 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
patches/gnutls-2.12.23/07-cve-2015-0294.patch \
patches/gnutls-2.12.23/fix-gcrypt-private-api-usage.patch \
patches/gnutls-2.12.23/gnulib-mingw-w64-fix.patch \
- patches/gnutls-2.12.23/25_updatedgdocfrommaster.patch \
+ patches/gnutls-2.12.23/25_updatedgdocfrommaster.patch \
patches/libtasn1-2.14/gnulib-mingw-w64-fix.patch \
- patches/w32pth-2.0.5/workaround-broken-libtool.patch \
- patches/scute-1.4.0/workaround-broken-libtool.patch \
- patches/libassuan-2.4.0/0001-Fix-windows-build-with-mingw-w64-2.0.x.patch \
+ patches/w32pth-2.0.5/workaround-broken-libtool.patch \
+ patches/scute-1.4.0/workaround-broken-libtool.patch \
+ patches/libassuan-2.4.0/0001-Fix-windows-build-with-mingw-w64-2.0.x.patch \
patches/gpgex-1.0.4/0001-Prefer-kleowrapped-gpgwrapped-binaries.patch \
patches/gpgex-1.0.4/0002-Fix-loop-logic-error-in-new-server-name-detection.patch \
patches/gpgol-1.4.0/0001-Fix-UI-Server-startup.patch \
diff --git a/patches/dirmngr-1.1.1/dirmngr-load-crl-from-fs.patch b/patches/dirmngr-1.1.1/dirmngr-load-crl-from-fs.patch
new file mode 100755
index 0000000..944a450
--- /dev/null
+++ b/patches/dirmngr-1.1.1/dirmngr-load-crl-from-fs.patch
@@ -0,0 +1,15 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+--- a/src/crlcache.c
++++ b/src/crlcache.c
+@@ -2360,7 +2360,7 @@ crl_cache_load (ctrl_t ctrl, const char *filename)
+ FILE *fp;
+ ksba_reader_t reader;
+
+- fp = fopen (filename, "r");
++ fp = fopen (filename, "rb");
+ if (!fp)
+ {
+ err = gpg_error_from_errno (errno);
-----------------------------------------------------------------------
Summary of changes:
Makefile.am | 9 +++++----
patches/dirmngr-1.1.1/dirmngr-load-crl-from-fs.patch | 15 +++++++++++++++
2 files changed, 20 insertions(+), 4 deletions(-)
create mode 100755 patches/dirmngr-1.1.1/dirmngr-load-crl-from-fs.patch
hooks/post-receive
--
GnuPG for Windows
http://git.gnupg.org
More information about the Gpg4win-commits
mailing list